Having an old bootstrap.py around breaks the bootstrap process as documented

RESOLVED FIXED

Status

()

Core
Build Config
--
minor
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: mhoye, Assigned: mhoye)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Assignee)

Description

2 years ago
Our documentation says:

wget -q https://hg.mozilla.org/mozilla-central/raw-file/default/python/mozboot/bin/bootstrap.py && python bootstrap.py

... but in the case where an existing outdated bootstrap.py exists, it will download the new one and run the old one.

I'm going to update the docs to force wget to overwrite with -O. Leaving this bug here for reference.
(Assignee)

Updated

2 years ago
Assignee: nobody → mhoye
(Assignee)

Comment 1

2 years ago
I've added the appropriate flag to the getting-started docs.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.